# `dlt` - Docker Layer Tool

Helpers for performing advanced manipulations of Docker image layers.

## Isolate

`isolate [from image] [to image] [--output=path] [--as=image name] [--no-base]`

Given an image `[to image]` that is based on `[from image]`, extract (or... isolate) the files that changed ONLY since the `[from image]` and output it as a `.tar` file.

Optionally, using the `--as` flag, create a new image based on `[from image]` that has a single additional layer with all the filesystem changes.

This command may be useful if you want to flatten an image but still make use of upstream caching of your base image layers. If the `--no-base` flag is specified, the resulting image will contain _only_ the changed files, excluding the base image.

Example:

```shell
./dlt.bash isolate ubuntu:22.04 user/myapp:latest --output=changes.tar --as user/myapp:flattened
```
