#!/bin/bash -e

SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
. "${SCRIPT_DIR}/lib/g.bash/src/g.bash"

g::source src/setup
g::source src/isolate

g::app dlt

g::app::command isolate "Build a Docker image with only the changed layers between two images"
g::app::command::arg from_image "The base (starting) image, whose layers will be excluded"
g::app::command::arg to_image "The final (ending) image, whose additional layers will be isolated"
g::app::command::flag output= "Path for the output archive"
g::app::command::flag as= "Reimport the isolated filesystem as the specified image name"
g::app::command::flag no-base "When specified with --as, the isolated filesystem will NOT be applied to the base image"

g::app::invoke "$@"
